@echo off
echo .
echo    FTNSET.BAT, L32 version, sets the default fortran compiler
echo                switches.  Use:
echo                FTNSET             (no arg)
echo                FTNSET  DBG        (for using with debugger)
echo             or FTNSET  LST        (for a .LST file)
echo                (and we may add other args later)
echo .
if $  == $%1  goto DEFAULT  
if %1 == DBG  goto XDBG 
if %1 == dbg  goto XDBG 
if %1 == LST  goto XLST 
if %1 == lst  goto XLST 
if %1 == QWERTY goto XQWERTY 
if %1 == qwerty goto XQWERTY 
echo        
echo         ***
echo         Sorry, but FTNSET does not recognize: %1
echo         Try [blank], LST, or QWERTY.
echo         ***
echo   
echo this is the parameter you typed: %1
pause
goto DONE 
:XDBG    
   copy %AGROOT%\4l32v5\dbg.fig f77l3.fig
   goto DONE  
:XLST    
   copy %AGROOT%\4l32v5\lst.fig f77l3.fig
   goto DONE  
:XQWERTY    
   copy %AGROOT%\4l32v5\qwerty.fig f77l3.fig
   goto DONE  
:DEFAULT 
   copy %AGROOT%\4l32v5\plain.fig f77l3.fig
:DONE
:
:   plain.fig=
:   /n0/n7/A2/nB/nC/nC1/D/nF/nH/nI/nK/nL/nO/P/nQ1/nQ2/nQ3/R/nS/nT
:                                                     /nV/W/nX/Z1
:
:   lst.fig =                 *       *
:   /n0/n7/A2/nB/nC/nC1/D/nF/H/nI/nK/L/nO/P/nQ1/nQ2/nQ3/R/nS/nT
:                                                   /nV/W/nX/Z1
:
:   dbg.fig will need: /nZ1 and /S
:
:   From page 32 of the Programmer's Reference Manual:
:    /0  = IMPLICIT NONE in effect  (that's a zero, not an oh)
:    /n0 = Fortran 77 Standard implicit typing in effect
:    /7  = Load NDB (80287 or 80387) non-integer operands from memory.
:    /n7 = NDP non-integer operands may be kept in the NDP between
:            statements.
: >  /A2 = Deallocate allocated arrays that do not appear in DEALLOCATE
:            or SAVE statements when a RETURN, STOP, or END statment is 
:            encountered.
:    /B  = Bound check array subscripts
:    /C  = Output warning messages indicating statments that do not
:            conform to the FORTRAN77 standard.
:    /C1 = Create smaller and faster code for arithmetic subexpressions
:            consisteng of one item declared INTEGER*2 (or*1) and an
:            integer constant that was not explicitly typed.
: >  /D  = Direct files are processed without headers.
:    /D1 = Specify conditional compilation parameters to the FORTRAN
:            pre-processor
:    /F  = Free-format source file
: >  /H  = Hardcopy (souce listing) output.
: >  /I  = subprogram interface check.
:    /K[H]  = Generate Weitek 1167, 3167, or 4167 code
: ?  /L  = line number table.  Is this needed for subroutine
:            tracebacks?
: >  /O  = output compiler options (that's an oh, not a zero)
: >  /P  = Protect constant arguments
: ?  /Q1 = Ensure code never uses more than 8 NDP registers at a time.
: >  /Q2 = Create the protected-mode side of an RPC interface module.
:    /Q3 = Create the real-mode side of an RPC interface module.
: >  /R  = Remember (SAVE) subprogram local variables and arrays
:            (except allocatable arrays)
: >  /S  = Generate SOLD information file
:    /T  = Type;  default length of INTEGER type is 2, LOGICAL is 1.
: >  /nT =        Default length of INTEGER is 4, LOGICAL is 4.
:    /V  = Process language features for VAX compatibility
: >  /W  = Warning messages output
: >  /X  = Cross-reference listing
: >  /Z1 = Perform production code optimizations (limits the SOLD
:            interface)
:    /nZ1= No optimizations that would limit the SOLD interface.
:
